//
//  TDLWindowController.h
//  ModernToDoList
//
//  Created by narita on 2016/09/30.
//  Copyright © 2016年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface TDLWindowController : NSWindowController

#pragma mark class methods

#pragma mark -
#pragma mark init methods

#pragma mark -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark state restore methods

#pragma mark -
#pragma mark awakeFromNib-like methods

#pragma mark -
#pragma mark action methods

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

// storyboadrdから読み込むと、shouldCascadeWindowsの値がNOのために、Windowがカスケードされていない。
// これをIB上から設定するための記述
@property IBInspectable BOOL shouldCascadeWindows;

#pragma mark -
#pragma mark Utility methods

- (void) synchronizeUserInterfaceIdentifier;

@end
