//
//  TDLViewController.h
//  ModernToDoList
//
//  Created by narita on 2016/09/29.
//  Copyright © 2016年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface TDLViewController : NSViewController <NSTableViewDelegate, NSTableViewDataSource, NSFetchedResultsControllerDelegate>

#pragma mark -
#pragma mark class methods

#pragma mark -
#pragma mark init methods

#pragma mark -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark state restore methods

#pragma mark -
#pragma mark awakeFromNib-like methods

#pragma mark -
#pragma mark action methods

- (IBAction) newItem:(nullable id)sender;
- (IBAction) delete:(nullable id)sender;

- (IBAction) dump:(nullable id)sender;

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

@property (weak, nonatomic, nullable) IBOutlet NSTableView* tableView;

@property (strong, nonatomic, nullable) NSIndexSet* selectedIndex;

#pragma mark -
#pragma mark Utility methods

@end

